Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Circle Class Reference

A class representing a circle. More...

`#include <PfieldGeometry.h>`

Inheritance diagram for Circle:

[legend]
Collaboration diagram for Circle:

[legend]
List of all members.

## Public Member Functions
GeometryType | getType () const
| Returns the type of a geometric object.
PfieldGeometricObject * | clone () const
| Clones a circle.
double | distanceTo (const PfPose &base, const PfVec &pos, PfVec &contact) const
| Computes the distance from the border of the object to a given point.
virtual void | initRadiusOfCollisionCircle ()
| Computes value of the radiusOfCollisionCircle variable.
PfieldGeometricObject * | getAbs (const PfPose &base) const
| Returns a geometric object with absolute coordinates.
void | setAbsoluteFromOther (const PfPose &base, PfieldGeometricObject *other)
| Computes absolute coordinates from a base pose and another, relative polygon.
virtual void | getPoints (std::vector< PfVec > &points)
| Returns all points of the object.
## Public Attributes
double | radius
| The radius of the circle.

## Detailed Description

A class representing a circle.

Definition at line 290 of file PfieldGeometry.h.

## Member Function Documentation

GeometryType Circle::getType | ( |  | ) | const`[inline, virtual]`

| Returns the type of a geometric object. Returns: The type Implements PfieldGeometricObject. Definition at line 299 of file PfieldGeometry.h. References CIRCLE, and GeometryType.

PfieldGeometricObject * Circle::clone | ( |  | ) | const`[virtual]`

| Clones a circle. Returns: A pointer to a copy of the object Implements PfieldGeometricObject. Definition at line 373 of file PfieldGeometry.cpp. References PfieldGeometricObject::intersectable, PfieldGeometricObject::position, radius, and PfieldGeometricObject::radiusOfCollisionCircle. Referenced by getAbs().

double Circle::distanceTo | ( | const PfPose & | base,
|  | const PfVec & | pos,
|  | PfVec & | contact
| ) | const`[virtual]`

  | Computes the distance from the border of the object to a given point. Parameters:
  base | The pose of the object to which the geometric object is assigned
  pos | The tested point
  contact | Returns the next position of the geometric object to the point
Returns: The distance Implements PfieldGeometricObject. Definition at line 336 of file PfieldGeometry.cpp. References PfVec::distanceTo(), PfVec::normalize(), and PfPose::pos.

Here is the call graph for this function:

void Circle::initRadiusOfCollisionCircle | ( |  | ) | `[virtual]`

| Computes value of the radiusOfCollisionCircle variable. Implements PfieldGeometricObject. Definition at line 353 of file PfieldGeometry.cpp. Referenced by FutureWorldModelGenerator::getMaxRotationForObject(), and Parser::parseGeometricObject().

PfieldGeometricObject * Circle::getAbs | ( | const PfPose & | base | ) | const`[virtual]`

  | Returns a geometric object with absolute coordinates. Parameters:
  base | The pose of the object
Returns: A pointer to a new geometric object Implements PfieldGeometricObject. Definition at line 359 of file PfieldGeometry.cpp. References clone(), PfPose::pos, and PfieldGeometricObject::position.

Here is the call graph for this function:

void Circle::setAbsoluteFromOther | ( | const PfPose & | base,
|  | PfieldGeometricObject * | other
| ) | `[virtual]`

  | Computes absolute coordinates from a base pose and another, relative polygon. Use careful! The other object has to be the same type and the size! Only positions are changed, other members will be ignored! Parameters:
  base | The new absolute position
  other | A relative geometric object
Implements PfieldGeometricObject. Definition at line 367 of file PfieldGeometry.cpp. References PfPose::pos.

void Circle::getPoints | ( | std::vector< PfVec > & | points | ) | `[virtual]`

  | Returns all points of the object. Parameters:
  points | The list of points to which the object's points will be attached
Reimplemented from PfieldGeometricObject. Definition at line 385 of file PfieldGeometry.cpp.

## Member Data Documentation

double Circle::radius

| The radius of the circle. Definition at line 294 of file PfieldGeometry.h. Referenced by clone(), FutureWorldModelGenerator::getMaxRotationForObject(), intersectCircleAndCircle(), and Parser::parseGeometricObject().

The documentation for this class was generated from the following files:

- Tools/PotentialFields/PfieldGeometry.h
- Tools/PotentialFields/PfieldGeometry.cpp